Subject: Re: [PATCH v2] b43: don't save dentries for debugfs

From: Kalle Valo <[email-masked]>
Date: Tue, 18 May 2021 20:47:58 +0300

Greg Kroah-Hartman <[email-masked]> writes:

> There is no need to keep around the dentry pointers for the debugfs
> files as they will all be automatically removed when the subdir is
> removed.  So save the space and logic involved in keeping them around by
> just getting rid of them entirely.
>
> By doing this change, we remove one of the last in-kernel user that was
> storing the result of debugfs_create_bool(), so that api can be cleaned
> up.
>
> Cc: Kalle Valo <[email-masked]>
> Cc: "David S. Miller" <[email-masked]>
> Cc: Jakub Kicinski <[email-masked]>
> Cc: Kees Cook <[email-masked]>
> Cc: Greg Kroah-Hartman <[email-masked]>
> Cc: Jason Gunthorpe <[email-masked]>
> Cc: Chao Yu <[email-masked]>
> Cc: Leon Romanovsky <[email-masked]>
> Cc: [email-masked]
> Cc: [email-masked]
> Cc: [email-masked]
> Cc: [email-masked]
> Signed-off-by: Greg Kroah-Hartman <[email-masked]>
> ---
>  drivers/net/wireless/broadcom/b43/debugfs.c | 34 +++------------------
>  drivers/net/wireless/broadcom/b43/debugfs.h |  3 --
>  2 files changed, 5 insertions(+), 32 deletions(-)
>
> Note, I can take this through my debugfs tree if wanted, that way I can
> clean up the debugfs_create_bool() api at the same time.  Otherwise it's
> fine, I can wait until next -rc1 for that to happen.

Yeah, it's best that you take this via your tree.

Acked-by: Kalle Valo <[email-masked]>

-- 
https://patchwork.kernel.org/project/linux-wireless/list/

https://wireless.wiki.kernel.org/en/developers/documentation/submittingpatches